function love.load()
    rotate = love.graphics.newCanvas(400, 600)
    shear_and_scale = love.graphics.newCanvas(400, 600)
end

function love.draw()
    local t = love.timer.getTime()
    
    love.graphics.push()
    love.graphics.setCanvas(rotate)
        love.graphics.clear()
        love.graphics.translate(200, 300)
        love.graphics.rotate(t)
        love.graphics.rectangle('fill', -50, -50, 100, 100)
    love.graphics.setCanvas()
    love.graphics.pop()
    
    love.graphics.push()
    love.graphics.setCanvas(shear_and_scale)
        love.graphics.clear()
        love.graphics.translate(200, 300)
        
        local sx = math.cos(t)
        local sy = math.cos(t)
        
        local kx = -math.sin(t)/math.cos(t)
        local ky =  math.sin(t)/math.cos(t)
        
        love.graphics.scale(sx, sy)
        love.graphics.shear(kx, ky)
        love.graphics.rectangle('fill', -50, -50, 100, 100)
    love.graphics.setCanvas()
    love.graphics.pop()
    
    love.graphics.draw(rotate, 0, 0)
    love.graphics.draw(shear_and_scale, 400, 0)
end
